Detailed reference of prototypes, properties and methods available in the
Javascript environment of your Helma web applications.

Fields and methods of the jala.Date class.
jala Date()
Constructs a new Renderings object.
methods

- renderEditor(prefix, date, fmt)

- renderEditorAsString(prefix, date, pattern)

jala Date.Calendar(collection)
Creates a new instance of jala.Data.Calendar
parameters

HopObject | collection | A grouped HopObject collection to work on

methods

- getCollection()

- setRenderer(r)

- getRenderer()

- setLocale(loc)

- getLocale()

- setTimeZone(loc)

- getTimeZone()

- setHrefFormat(fmt)

- getHrefFormat()

- setAccessNameFormat(fmt)

- getAccessNameFormat()

- render(today)

- getCalendar(today)

jala Date.Calendar.Renderer(calendar)
Returns a new instance of the default calendar renderer.
parameters

jala.Date.Calendar | calendar | The calendar utilizing this renderer

methods

- renderDayHeader(text)

- renderRow(row)

- renderDay(date, isExisting, isSelected)

- renderPrevNextLink(date)

- renderCalendar(date, body, prevMonth, nextMonth)

properties

- helma.Html html

- jala.Date.Calendar calendar

helma.Html jala.Date.Calendar.Renderer. html
An instance of helma.Html used for rendering the calendar
jala.Date.Calendar jala.Date.Calendar.Renderer. calendar
The calendar utilizing this renderer instance
jala.Date jala. date
Default date class instance.
Methods
jala.Date. renderEditor(prefix, date, fmt)
Renders a timestamp as set of DropDown boxes, following the format passed as argument. Every <select> item is prefixed with a string so that it can be retrieved easily from the values of a submitted POST request.
parameters

String | prefix | The prefix to use for all dropdown boxes, eg. "postdate"
Date | date | A Date object to use as preselection (optional)

Object

fmt

Array containing one parameter object for every single select box that should be rendered, with the following properties set:

- pattern - The date format pattern that should be rendered. Valid patterns are: "dd", "MM", "yyyy", "HH", "ss".
- firstOption - The string to use as first option, eg.: "choose a day"

jala.Date. renderEditorAsString(prefix, date, pattern)
Returns a timestamp as set of dropdown-boxes
parameters

| prefix |
| date |
| pattern |

see

jala.Date.renderEditor

jala.Date.Calendar. getCollection()
Returns the collection this calendar object works on
returns

| The HopObject collection of this calendar

jala.Date.Calendar. setRenderer(r)
Sets the renderer to use.
parameters

Object | r | The renderer to use

see

jala.Date.Calendar.getRenderer

jala.Date.Calendar. getRenderer()
Returns the renderer used by this calendar.
returns

| The calendar renderer

see

jala.Date.Calendar.setRenderer

jala.Date.Calendar. setLocale(loc)
Sets the locale to use within this calendar object
parameters

java.util.Locale | loc | The locale to use

see

jala.Date.Calendar.getLocale

jala.Date.Calendar. getLocale()
Returns the locale used within this calendar instance. By default the locale used by this calendar is the default locale of the Java Virtual Machine running Helma.
returns

| The locale of this calendar

see

jala.Date.Calendar.setLocale

jala.Date.Calendar. setTimeZone(loc)
Sets the locale to use within this calendar object
parameters

java.util.Locale | loc | The locale to use

see

jala.Date.Calendar.getTimeZone

jala.Date.Calendar. getTimeZone()
Returns the locale used within this calendar instance. By default the timezone used by this calendar is the default timezone of the Java Virtual Machine running Helma.
returns

| The locale of this calendar

see

jala.Date.Calendar.setTimeZone

jala.Date.Calendar. setHrefFormat(fmt)
Sets the format of the hrefs to render by this calendar to the format pattern passed as argument.
parameters

String | fmt | The date format pattern to use for rendering the href

see

jala.Date.Calendar.getHrefFormat

jala.Date.Calendar. getHrefFormat()
Returns the date formatting pattern used to render hrefs. The default format is "yyyyMMdd".
returns

| The date formatting pattern

see

jala.Date.Calendar.setHrefFormat

jala.Date.Calendar. setAccessNameFormat(fmt)
Sets the format of the group name to use when trying to access child objects of the collection this calendar is operating on.
parameters

String | fmt | The date format pattern to use for accessing child objects

see

jala.Date.Calendar.getAccessNameFormat

jala.Date.Calendar. getAccessNameFormat()
Returns the format of the access name used by this calendar to access child group objects of the collection this calendar is operating on. The default format is "yyyyMMdd".
returns

| The date formatting pattern used to access child objects

see

jala.Date.Calendar.setAccessNameFormat

jala.Date.Calendar. render(today)
Renders the calendar using either a custom renderer defined using {@link #setRenderer} or the default one.
parameters

| today |

see

jala.Date.Calendar.setRenderer
jala.Date.Calendar.Renderer

jala.Date.Calendar. getCalendar(today)
Returns a rendered calendar
parameters

| today |

see

jala.Date.Calendar.renderCalendar

jala.Date.Calendar.Renderer. renderDayHeader(text)
Renders a single cell in the calendar day header row directly to response.
parameters

String | text | The text to display in the header field.

jala.Date.Calendar.Renderer. renderRow(row)
Renders a single calendar row directly to response.
parameters

String | row | The body of the calendar row.

jala.Date.Calendar.Renderer. renderDay(date, isExisting, isSelected)
Renders a single day within the calendar directly to response.
parameters

Date | date | A date instance representing the day within the calendar.
Boolean | isExisting | True if there is a child object in the calendar's collection to which the date cell should link to
Boolean | isSelected | True if this calendar day should be rendered as selected day.

jala.Date.Calendar.Renderer. renderPrevNextLink(date)
Renders a link to the previous or next month's calendar directly to response.
parameters

Date | date | A date object set to the previous or next available month. This can be null in case there is no previous or next month.

jala.Date.Calendar.Renderer. renderCalendar(date, body, prevMonth, nextMonth)
Renders the calendar directly to response.
parameters

Date | date | A date object representing this calendar's month and year. Please mind that the day will be set to the last date in this month.
String | body | The rendered calendar weeks including the day header (basically the whole kernel of the table).
Date | prevMonth | A date object set to the last available date of the previous month. This can be used to render a navigation link to the previous month.
Date | nextMonth | A date object set to the first available date of the next month. This can be used to render a navigation link to the next month.

Tue, 25 Nov 2008 16:50:19 GMT.

### core framework

- global
- app (application)
- req (request)
- res (response)
- session
- path
- root
- HopObject
- User
- File
- FtpClient
- Image
- Mail
- Remote
- Xml
- DatabaseObject
- MimePart
- Skin
- Object

### optional modules

- Array extensions
- Date extensions
- Number extensions
- Object extensions
- String extensions
- HopObject extensions
- global macros
- macro filters
- JSON methods
- helma.Aspects
- helma.Chart
- helma.Color
- helma.Database
- helma.File
- helma.Ftp
- helma.Group
- helma.Html
- helma.Http
- helma.Image
- helma.Mail
- helma.Search
- helma.Skin
- helma.Ssh
- helma.Url
- helma.Zip
- jala.BitTorrent
- jala.Captcha
- jala.Date
- jala.db
- jala.DnsClient
- jala.Form
- jala.History
- jala HopObject extensions
- jala.HtmlDocument
- jala.I18n
- jala.ImageFilter
- jala.IndexManager
- jala.ListRenderer
- jala.Mp3
- jala.PodcastWriter
- jala.RemoteContent
- jala.Rss20Writer
- jala.Utilities
- jala.XmlRpcRequest
- jala.XmlWriter

### java libraries

- browse docjar